# 	$Id: initscripts.spec 252003 2009-01-22 17:26:21Z eugeni $	

# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

%define with_systemd 1

Summary: The inittab file and the /etc/init.d scripts
Name: initscripts
Version: 9.34
%define subrel 2
Release: %mkrel 20
# ppp-watch is GPLv2+, everything else is GPLv2
License: GPLv2 and GPLv2+
Group: System/Base
Source0: initscripts-%{version}.tar.bz2
Source1: initscripts-mgaconf.patch.xz
# (cg) Upstream cherry picks
Patch0101: 0101-Don-t-bother-with-stdin-stdout-stderr-for-rmmod-modp.patch
Patch0102: 0102-Just-exit-on-first-response-744734.patch
Patch0103: 0103-Add-cifs-to-check-for-network-filesystem-760018.patch
Patch0104: 0104-Don-t-exit-with-an-error-if-SEinux-isn-t-active.-768.patch
Patch0105: 0105-Handle-dmraid-sets-with-spaces-728795-lnykryn-redhat.patch
Patch0106: 0106-Typo-in-crypttab.5.patch
Patch0107: 0107-Drop-StandardInput-tty-785662.patch
Patch0108: 0108-Do-not-check-mounted-filesystems-745224.patch
Patch0109: 0109-Improve-comment-in-init-serial.conf-746808.patch
Patch0110: 0110-mdv-network-event-use-mageia.org-instead-of-mandriva.patch

Patch0200: initscripts-9.34-mga-ethtool-path.patch
Patch0201: initscripts-9.34-mga-inittab-tty1.patch
Patch0202: initscripts-9.34-mga-multipath.patch
Patch0203: 0101-Remove-broken-backspace-bindings-on-csh-shells-mga-5.patch

# (cg) Patches to go into mgaconf mega patch eventually
Patch0500: 0500-Make-sure-to-invalidate-nscd-cache-under-systemd-as-.patch

Requires: mingetty
# for /bin/awk
Requires: gawk
# for /bin/sed
Requires: sed
Requires: mktemp
Requires: e2fsprogs >= 1.18-2
Requires: procps >= 2.0.7-8
Requires: gettext-base >= 0.10.35-20
Requires: module-init-tools
# needed for chvt --userwait
Requires: kbd >= 1.15.1-2
#Requires: sysklogd >= 1.3.31
# for /sbin/fuser
Requires: psmisc
Requires: which
Requires: setup >= 2.2.0-14
Requires: sysvinit >= 2.87-8
# for /sbin/ip
Requires: iproute2
# for /sbin/arping
Requires: iputils
Requires: net-tools
# for /bin/find
Requires: findutils
# (blino) for pidof -c
# (bor)   for pidof -m
Requires: sysvinit-tools >= 2.87-8

Requires: perl-MDK-Common >= 1.0.1
Requires: ifplugd >= 0.24
Requires: sound-scripts
# (tv) unused:
#Prereq: gawk
Requires: iproute2
Requires: ethtool
# http://bugzilla.redhat.com/show_bug.cgi?id=252973
Conflicts: nut < 2.2.0
Obsoletes: rhsound sapinit
Provides: rhsound sapinit
Conflicts: kernel <= 2.2, timeconfig < 3.0, pppd <= 2.4.4-3, wvdial < 1.40-3
Conflicts: initscripts < 1.22.1-5, Aurora <= 7.2-17
Conflicts: dhcpcd < 1.3.21pl1
Conflicts: XFree86-xfs < 4.2.0-12
Conflicts: xinitrc < 2.4.12
Conflicts: lsb < 3.1-11
Conflicts: lsb-core < 3.1-15
Conflicts: suspend-scripts < 1.27
Conflicts: mdadm < 2.6.4-2
Conflicts: systemd < 37-3
Conflicts: systemd-units < 37-3
Requires: util-linux-ng >= 2.16
Requires: mount >= 2.11l
Requires: udev >= 108-2
Requires: ifmetric, resolvconf >= 1.41
Requires: dmsetup
Requires: prcsys
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(post): coreutils grep, chkconfig >= 1.3.37-3
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: popt-devel
BuildRequires: python
# Upstream URL: http://git.fedorahosted.org/git/initscripts.git
Url: http://www.mageia.org

#this is required since latest glibc (new atomic OPs?)
%define _requires_exceptions GLIBC_PRIVATE


%description
The initscripts package contains the basic system scripts used to boot
your Mageia system, change run levels, and shut the system
down cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%package -n debugmode
Summary: Scripts for running in debugging mode
Requires: initscripts
Group: System/Base

%description -n debugmode
The debugmode package contains some basic scripts that are used to run
the system in a debugging mode.

Currently, this consists of various memory checking code.

%prep
%setup -q
xzcat %{SOURCE1} | /usr/bin/patch -U -s -p1 --fuzz=0
%apply_patches
find -name "*.0???" -delete
rm -rf po
ln -s mandriva/po

gzip -9 mandriva/ChangeLog
mv ChangeLog ChangeLog-RH
gzip -9 ChangeLog-RH

%build
make
make -C mandriva CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

#MDK
make -C mandriva install ROOT=$RPM_BUILD_ROOT mandir=%{_mandir}

python mandriva/gprintify.py \
	`find %{buildroot}/etc/rc.d -type f` \
	`find %{buildroot}/sysconfig/network-scripts -type f` \
	%{buildroot}/lib/systemd/fedora-* \
	%{buildroot}/lib/systemd/mandriva-*

# warly 
# put locale in /usr, gettext need /usr/share
#
# extracted from /usr/lib/rpm/find-lang.sh and adapted to find locales in /etc
#find $RPM_BUILD_ROOT -type f|sed '
#1i\
#%defattr (644, root, root, 755)
#s:'"$RPM_BUILD_ROOT"'::
#s:\(.*/etc/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
#s:^\([^%].*\)::
#s:%lang(C) ::
#' >> %{name}.lang

%find_lang %{name}

mv -f $RPM_BUILD_ROOT/etc/inittab.sysv $RPM_BUILD_ROOT/etc/inittab
rm -rf $RPM_BUILD_ROOT/etc/event.d
rm -rf $RPM_BUILD_ROOT/etc/init
rm -f $RPM_BUILD_ROOT/etc/inittab.*

%ifnarch s390 s390x
rm -f \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-ctc \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-iucv \
 $RPM_BUILD_ROOT/lib/udev/rules.d/55-ccw.rules \
 $RPM_BUILD_ROOT/lib/udev/ccw_init
%else
rm -f \
 $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit.s390init \
 $RPM_BUILD_ROOT/etc/sysconfig/init.s390
%endif

# remove unused hotplug helper and ipsec/isdn stuff
rm -f $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# we use network rules from the udev package
rm -f $RPM_BUILD_ROOT/lib/udev/rules.d/60-net.rules

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

%if !%{with_systemd}
  rm -rf $RPM_BUILD_ROOT/lib/systemd
%else
  # (cg) Mask netfs initscript under systemd as native support is built in.
  ln -sf /dev/null $RPM_BUILD_ROOT/lib/systemd/system/netfs.service
%endif

install -d -m 0755 %{buildroot}/%{_sysconfdir}/sysctl.d

%post
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp /var/run/utmp /var/log/btmp
chown root:utmp /var/log/wtmp /var/run/utmp /var/log/btmp
chmod 664 /var/log/wtmp /var/run/utmp
chmod 600 /var/log/btmp

%_mypost_service partmon

%_mypost_service network

%_mypost_service network-up

%_mypost_service dm

%_mypost_service netconsole

%_mypost_service netfs

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
        DESK=`cat /etc/sysconfig/desktop`
        echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			/etc/locale/$i/LC_MESSAGES/
                #
		# warly
		# FIXME: this should be done by each locale when installed or upgraded
		#
		pushd %{_datadir}/locale/$i/ > /dev/null && for j in LC_*
		do
			if [ -r $j -a ! -d $j ]; then
			    cp $j /etc/locale/$i/
			fi
		done && popd > /dev/null
		if [ -r %{_datadir}/locale/$i/LC_MESSAGES/SYS_LC_MESSAGES ]; then
			cp %{_datadir}/locale/$LANG/LC_MESSAGES/SYS_LC_MESSAGES /etc/locale/$i/LC_MESSAGES/
		fi
		#
		#
		break
	fi
done

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && egrep -q 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

# only needed on upgrade
if [ $1 != 0 ]; then
	# handle single user mode declaration
	if ! grep -q '..:S:' /etc/inittab; then
		cat >> /etc/inittab <<EOF

# Single user mode
~~:S:wait:/bin/sh
EOF
	fi
	
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
	
fi

%preun
%_preun_service netfs

%_preun_service netconsole

%_preun_service dm

%_preun_service network-up

%_preun_service network

%_preun_service partmon

%triggerpostun -- initscripts <= 4.72

. /etc/sysconfig/init
. /etc/sysconfig/network

# These are the non-default settings. By putting them at the end
# of the /etc/sysctl.conf file, it will override the default
# settings earlier in the file.

if [ -n "$FORWARD_IPV4" -a "$FORWARD_IPV4" != "no" -a "$FORWARD_IPV4" != "false" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
fi

newnet=`mktemp /etc/sysconfig/network.XXXXXX`
if [ -n "$newnet" ]; then
  sed "s|FORWARD_IPV4.*|# FORWARD_IPV4 removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/network > $newnet
  sed "s|DEFRAG_IPV4.*|# DEFRAG_IPV4 removed; obsolete in 2.4. kernel|g" \
   $newnet > /etc/sysconfig/network
  rm -f $newnet
fi

if [ -n "$MAGIC_SYSRQ" -a "$MAGIC_SYSRQ" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.sysrq = 1" >> /etc/sysctl.conf
fi
if uname -m | grep -q sparc ; then
   if [ -n "$STOP_A" -a "$STOP_A" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.stop-a = 1" >> /etc/sysctl.conf
   fi
fi

%triggerun -- initscripts < 7.62
/sbin/chkconfig --del random
/sbin/chkconfig --del rawdevices
exit 0

%triggerpostun -- initscripts <= 8.38-2
/sbin/chkconfig --add network-up
exit 0

%triggerpostun -- initscripts < 8.54-4
echo "disabling supermount which is not supported anymore"
/usr/sbin/supermount -i disable
exit 0

%triggerpostun -- initscripts < 8.88-5
/sbin/chkconfig --level 7 dm reset

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%dir /etc/sysconfig/network-scripts
%dir /etc/sysconfig/network-scripts/ifup.d
%dir /etc/sysconfig/network-scripts/ifdown.d
%dir /etc/sysconfig/network-scripts/wireless.d
%dir /etc/sysconfig/network-scripts/vpn.d
%dir /etc/sysconfig/network-scripts/vpn.d/openvpn
%dir /etc/sysconfig/network-scripts/vpn.d/pptp
%dir /etc/sysconfig/network-scripts/vpn.d/vpnc
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
%config(noreplace) /etc/sysconfig/autofsck
%config(noreplace) /etc/sysconfig/partmon
%config(noreplace) /etc/sysconfig/netconsole
%config(noreplace) /etc/sysconfig/readonly-root
%config(noreplace) /etc/sysconfig/speedboot
/etc/sysconfig/network-scripts/ifdown
/sbin/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
/sbin/ifup
%dir /etc/sysconfig/console
%dir /etc/sysconfig/console/consoletrans
%dir /etc/sysconfig/console/consolefonts
%dir /etc/sysconfig/modules
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-ipx
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
#/etc/sysconfig/network-scripts/ifup-ippp
#/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/ifup-hso
/etc/sysconfig/network-scripts/ifdown-hso
/etc/X11/prefdm
/etc/X11/lookupdm
%dir /etc/X11/xsetup.d
/etc/X11/xsetup.d/90speedboot.xsetup
%config(noreplace) /etc/networks 
/etc/rwtab
%dir /etc/rwtab.d
/etc/statetab
%dir /etc/statetab.d
/lib/udev/rules.d/*
%config(noreplace) /etc/inittab
%config(noreplace missingok) /etc/rc.d/rc[0-9].d/*
/etc/rc[0-9].d
/etc/rcS.d
/etc/rc
%dir /etc/rc.d/init.d
%config(noreplace) /etc/rc.local
/etc/rc.sysinit
/lib/lsb/init-functions
/etc/rc.d/init.d/*
/etc/rc.d/rc
%config(noreplace) /etc/rc.d/rc.local
/etc/rc.d/rc.sysinit
%config(noreplace) /etc/sysctl.conf
%dir /etc/sysctl.d
%exclude /etc/profile.d/debug*
%config /etc/profile.d/*
%dir /etc/sysconfig/network-scripts/cellular.d
%dir /etc/sysconfig/network-scripts/hostname.d
/etc/sysconfig/network-scripts/ifup.d/vpn
/etc/sysconfig/network-scripts/ifdown.d/vpn
/usr/sbin/vpn-start
/usr/sbin/vpn-stop
/usr/sbin/mdv-network-event
/usr/sbin/sys-unconfig
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/fstab-decode
/sbin/genhostid
/sbin/getkey
/sbin/securetty
%attr(2755,root,root) /sbin/netreport
/lib/udev/rename_device
/lib/udev/console_init
/lib/udev/console_check
%ifarch s390 s390x
/lib/udev/ccw_init
%endif
/sbin/service
/sbin/sushell
#mdv
/sbin/hibernate-cleanup.sh
/sbin/ppp-watch
%{_mandir}/man*/*
%lang(cs)	%{_mandir}/cs/man*/*
%lang(et)	%{_mandir}/et/man*/*
%lang(fi)	%{_mandir}/fi/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%lang(it)	%{_mandir}/it/man*/*
%lang(pt_BR)	%{_mandir}/pt_BR/man*/*
%lang(ru)	%{_mandir}/ru/man*/*
%lang(uk)	%{_mandir}/uk/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
%dir /etc/ppp/ip-down.d
%dir /etc/ppp/ip-up.d
%dir /etc/ppp/peers
/etc/ppp/ip-up
/etc/ppp/ip-down
/etc/ppp/ip-up.ipv6to4
/etc/ppp/ip-down.ipv6to4
/etc/ppp/ipv6-up
/etc/ppp/ipv6-down
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/00-netreport
/etc/NetworkManager/dispatcher.d/05-netfs
%doc sysconfig.txt sysvinitfiles mandriva/ChangeLog.gz ChangeLog-RH.gz static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6
/var/lib/stateless
%dir /var/lib/speedboot
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
%config(noreplace) /etc/modules
/etc/rc.modules
%dir /etc/modprobe.preload.d/
%ifnarch %{sunsparc}
/usr/sbin/supermount
%endif
/usr/bin/*
# warly
# gettext need /use/share/locale anyway
#%dir /etc/locale
#%dir /etc/locale/*
#%dir /etc/locale/*/LC_MESSAGES
%if %{with_systemd}
%{_sysconfdir}/tmpfiles.d/initscripts.conf
%{_sysconfdir}/tmpfiles.d/mandriva.conf
/lib/systemd/fedora-autorelabel
/lib/systemd/fedora-configure
/lib/systemd/fedora-loadmodules
/lib/systemd/fedora-readonly
/lib/systemd/fedora-storage-init
/lib/systemd/mandriva-boot-links
/lib/systemd/mandriva-save-dmesg
/lib/systemd/system/basic.target.wants/fedora-autorelabel.service
/lib/systemd/system/basic.target.wants/fedora-autorelabel-mark.service
/lib/systemd/system/basic.target.wants/fedora-configure.service
/lib/systemd/system/basic.target.wants/fedora-loadmodules.service
/lib/systemd/system/basic.target.wants/mandriva-boot-links.service
/lib/systemd/system/basic.target.wants/mandriva-everytime.service
/lib/systemd/system/basic.target.wants/mandriva-save-dmesg.service
/lib/systemd/system/ctrl-alt-del.target
/lib/systemd/system/fedora-autorelabel.service
/lib/systemd/system/fedora-autorelabel-mark.service
/lib/systemd/system/fedora-configure.service
/lib/systemd/system/fedora-loadmodules.service
/lib/systemd/system/fedora-readonly.service
/lib/systemd/system/fedora-storage-init.service
/lib/systemd/system/fedora-storage-init-late.service
/lib/systemd/system/fedora-wait-storage.service
/lib/systemd/system/netfs.service
/lib/systemd/system/mandriva-boot-links.service
/lib/systemd/system/mandriva-clean-var-run-lock.service
/lib/systemd/system/mandriva-everytime.service
/lib/systemd/system/mandriva-save-dmesg.service
/lib/systemd/system/local-fs.target.wants/fedora-readonly.service
/lib/systemd/system/local-fs.target.wants/fedora-storage-init.service
/lib/systemd/system/local-fs.target.wants/fedora-storage-init-late.service
/lib/systemd/system/mandriva-kmsg-loglevel.service
/lib/systemd/system/sysinit.target.wants/mandriva-clean-var-run-lock.service
/lib/systemd/system/sysinit.target.wants/mandriva-kmsg-loglevel.service
%endif

%files -n debugmode
%config(noreplace) /etc/sysconfig/debug
%config /etc/profile.d/debug*


%changelog
* Tue Aug 13 2013 luigiwalser <luigiwalser> 9.34-20.2.mga2
+ Revision: 466235
- mdv-network-event: use mageia.org instead of mandriva.com in dbus events (mga#3888)

  + danf <danf>
    - Added patch 0101 to fix issue with setting an incorrect backspace
      character on csh (mga#5007)
    - Added multipath.patch to remove use of unsupported -u option (mga#7001)
    - Don't spawn a getty on tty1 in SysV inittab since that's where X11 runs (mga#4522)
    - Fixed path to ethtool so ETHTOOL_OPTS works in network scripts (mga#10623)

  + tmb <tmb>
    - Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 colin <colin> 9.34-19.mga2
+ Revision: 233445
- Fix issue with nscd cache invalidating under systemd (mga#2707)

* Tue Apr 24 2012 colin <colin> 9.34-18.mga2
+ Revision: 233169
- Roll up mageia patches into mgaconf mega patch (no functional change)
- Fix issue where ifcfg-* files may have spaces in them (from NM)
- Prevent invalid failure code leaking from /etc/rc.modules

* Fri Apr 06 2012 colin <colin> 9.34-17.mga2
+ Revision: 229306
- Various cosmetic fixes to units/sysv scripts

* Fri Apr 06 2012 colin <colin> 9.34-16.mga2
+ Revision: 228889
- Prevent udev running network actions during early boot.

* Tue Apr 03 2012 colin <colin> 9.34-15.mga2
+ Revision: 228124
- Do not block systemctl requests run via harddrake on boot (mga#4772)

* Tue Apr 03 2012 colin <colin> 9.34-14.mga2
+ Revision: 227992
- Allow network manager to ignore unplugged/disabled devices during network-up.

* Sun Apr 01 2012 colin <colin> 9.34-13.mga2
+ Revision: 227663
- Mask netfs initscript under systemd (it has native support)
- Ensure that when network-auth sysvinit script is enabled, it holds up logins under system

* Mon Mar 26 2012 colin <colin> 9.34-12.mga2
+ Revision: 226507
- Ignore NetworkManager TYPE=Wireless ifcfg-* files in network-up too.
- Ignore TYPE=Wireless ifcfg files at shutdown too.
- Ensure NetworkManager is started before network script (if it's enabled) to prevent double control of interfaces

* Sat Mar 24 2012 colin <colin> 9.34-11.mga2
+ Revision: 226117
- Assume NetworkManager is used if NM_CONTROLLED is not false (as opposed to being true)
- Do per-device checks when working with NetworkManager
- Fix runlevel switching by preventing wiping out /var/run (mga#4744)
- Minor fixes to 'service' wrapper script

* Mon Mar 19 2012 colin <colin> 9.34-10.mga2
+ Revision: 223843
- Ignore network config scripts with TYPE=Wireless (from Network Manager)

* Sun Mar 11 2012 tmb <tmb> 9.34-9.mga2
+ Revision: 222825
- fix path to mdadm map (mga #4875)

* Thu Mar 08 2012 colin <colin> 9.34-8.mga2
+ Revision: 221746
- Adjust scripts for display manager failure message (mga#4769)

* Thu Mar 08 2012 colin <colin> 9.34-7.mga2
+ Revision: 221383
- Add some upstream cherry picks
- Add a fallback message when prefdm does not start a dm under systemd (mga#4769)
- Remove the inittab hacks for dm service (predates Mageia)

* Thu Mar 01 2012 colin <colin> 9.34-6.mga2
+ Revision: 216397
- Remove kdm plymouth hack (suspect it was other reasons causing problems)
- Add lxdm to the prefdm script

* Thu Feb 16 2012 dmorgan <dmorgan> 9.34-5.mga2
+ Revision: 209764
- Add a patch to workaround a kdm start issue

* Mon Jan 23 2012 tv <tv> 9.34-4.mga2
+ Revision: 200330
- drop suggests on wireless-tools & comgt that bring tcl in basesystem through
  usb_modeswitch which should be installed by drakx-net when needed
  let's unbloat basesystem

  + dmorgan <dmorgan>
    - Fix URL

* Wed Dec 14 2011 colin <colin> 9.34-3.mga2
+ Revision: 181642
- Fix bug with sysvinit and timezones (mga#3512)

* Fri Nov 04 2011 colin <colin> 9.34-2.mga2
+ Revision: 162954
- Fix a script error in rc.sysinit.

* Fri Nov 04 2011 colin <colin> 9.34-1.mga2
+ Revision: 162695
- New version: 9.34
- Change how prefdm works to be more similar to Fedora (does not return)
- Merge all patches into the 'mdkconf' patch, but compress it and call it mgaconf

* Mon Oct 31 2011 colin <colin> 9.25-2.mga2
+ Revision: 160469
- Remove support for upstart. It's not packaged in Mageia, nor will it be.
- Change capitalisation of SysVinit require and unitfy versions with sysvinit-tools

* Sat Oct 29 2011 dmorgan <dmorgan> 9.25-1.mga2
+ Revision: 159653
- Rebuild to push in core media

* Sat Oct 22 2011 colin <colin> 9.25-0.3.mga2
+ Revision: 157407
- Update to 9.25
- Drop unneeded patches (e.g. no need to link to static glib as it's in /lib)
- Regenerate mdkconf from new Mageia initscripts git repo
- Move other patches to git and generate patchsets.
- Remove patch merged into previous mdkconf patch update.

  + dmorgan <dmorgan>
    - More mandriva removal ( mga #1560)
    - Remove some mandriva words ( mga #1527)

* Sat May 28 2011 blino <blino> 9.21-12.mga1
+ Revision: 100600
- run chvt with --userwait option at shutdown to avoid hanging waiting
  for chvt 1, since dm stop might have triggered a vt change as well
  details from vuntz on https://bugzilla.novell.com/show_bug.cgi?id=540482#c115
  (happens on my laptop with Mobility Radeon 9600 M10, plymouth disabled)

* Mon May 23 2011 pterjan <pterjan> 9.21-11.mga1
+ Revision: 100267
- Add patches from bug #1290 to fix plymouth password requests

* Thu May 12 2011 blino <blino> 9.21-10.mga1
+ Revision: 97422
- suggest wireless-tools and comgt

* Mon May 09 2011 tmb <tmb> 9.21-9.mga1
+ Revision: 96705
- add BR: glib2-static-devel
- replace file requires with proper package names
- drop buildroot
- drop rpm tags
- replace-LANG-with-LC_ALL so sed works correctly (#1216)

* Sun Apr 17 2011 anssi <anssi> 9.21-8.mga1
+ Revision: 87250
- Several bugfixes to speedboot:
  o In very early boot, call display_driver_helper to check if there is a
    pending dkms build (that may cause a wrong older binary dkms driver
    to be loaded by X server) or a conflicting driver loaded by initrd
    (which may cause graphical corruption / freeze when starting server)
    and disable speedboot in those cases.
  o Load display drivers before X when in speedboot.
  o In speedboot mode, reopen file descriptors after X should've started.
    This ensures that harddrake_service (and other sysinit output) is
    shown to the user if the X startup failed. (plymouth grabs the output,
    and when it shuts down the output is lost until descriptors are
    reopened).

* Thu Mar 31 2011 ahmad <ahmad> 9.21-7.mga1
+ Revision: 79281
- don't own /etc/sysconfig/, it's owned by filesystem rpm

* Thu Mar 24 2011 rtp <rtp> 9.21-6.mga1
+ Revision: 77151
- add -lrt as workaround for link failure
- Remove trailing slash at the end of TMPDIR/TMP

* Mon Feb 07 2011 rtp <rtp> 9.21-5.mga1
+ Revision: 48584
- Change system from Mandriva Linux to Mageia

* Mon Jan 24 2011 ennael <ennael> 9.21-4.mga1
+ Revision: 36784
- imported package initscripts

